I need a development environment setup for WPS 6.0 - Websphere

This is a discussion on I need a development environment setup for WPS 6.0 - Websphere ; Hi, I need a help to configure development environment for portal 6.0 on Rational application developer. For developing portlets 6.0 on RAD, Which version of portal toolkit is required? Portaltoolkit 5.1 is ok ..or do i need to install portaltoolkit ...

+ Reply to Thread
Results 1 to 5 of 5

Thread: I need a development environment setup for WPS 6.0

  1. I need a development environment setup for WPS 6.0

    Hi,

    I need a help to configure development environment for portal 6.0 on Rational application developer. For developing portlets 6.0 on RAD, Which version of portal toolkit is required? Portaltoolkit 5.1 is ok ..or do i need to install portaltoolkit 6.0 or higher version?

    Is any redbook available for developing the portlets 6.0 with development environment configuration?

    I appreciate any help.


    Thanks
    Kalpana


  2. Re: I need a development environment setup for WPS 6.0

    Hi Kalpana,

    The best solution is to upgrade to RAD 7: it comes with a new portlet
    toolkit (which is actually pretty good) and WP6 for dev&debug.
    If you want to use RAD 6, then you can use your current dev
    envrionment and deploy on a WP 6 instance to test. but you will not be
    able to debug your portlets.
    For all new features, such as the "default settings" mode, you will
    have to implement them manually (portlet.xml, files,...) as the RAD 6
    wizard will not be able to generate the appropriate code.

    RAD 7 installed with only the useful features (J2EE development +
    portlet development) + WP 6 on my workstation looks more performant
    than RAD 6 + WP 5.1 UTE (2GB RAM on an IBM t41 laptop)

    Regards
    Hervé

    On 14 fév, 15:26, wrote:
    > Hi,
    >
    > I need a help to configure development environment for portal 6.0 on Rational application developer. For developing portlets 6.0 on RAD, Which version of portal toolkit is required? Portaltoolkit 5.1 is ok ..or do i need toinstall portaltoolkit 6.0 or higher version?
    >
    > Is any redbook available for developing the portlets 6.0 with development environment configuration?
    >
    > I appreciate any help.
    >
    > Thanks
    > Kalpana




  3. Re: I need a development environment setup for WPS 6.0

    You need RAD7 and standalone WP6. There is no 'WP6 test server' included with RAD7. RAD7 will publish to the standalone server which can also be on a different box.

  4. Re: I need a development environment setup for WPS 6.0

    > You need RAD7 and standalone WP6. There is no 'WP6
    > test server' included with RAD7. RAD7 will publish to
    > the standalone server which can also be on a
    > different box.



    Thanks for the reply



  5. Re: I need a development environment setup for WPS 6.0

    I am amazed... So there is No WPS 6.0 UTE at all

    sunkalpana@gmail.com wrote:
    >> You need RAD7 and standalone WP6. There is no 'WP6
    >> test server' included with RAD7. RAD7 will publish to
    >> the standalone server which can also be on a
    >> different box.

    >
    >
    > Thanks for the reply
    >
    >


+ Reply to Thread